module counter_4digits
(
    input clk,
    input reset,
    input enable,
    output [15:0] count_4digits
);

wire [2:0] enable_out;

counter_digit #(.max_count(9)) counter0
(
    .clk(clk),
    .reset(reset),
    .enable(enable),
    .enable_out(enable_out[0]),
    .count(count_4digits[3:0])
);
counter_digit #(.max_count(9)) counter1
(
    .clk(clk),
    .reset(reset),
    .enable(enable_out[0]),
    .enable_out(enable_out[1]),
    .count(count_4digits[7:4])
);
counter_digit #(.max_count(5)) counter2
(
    .clk(clk),
    .reset(reset),
    .enable(enable_out[1]),
    .enable_out(enable_out[2]),
    .count(count_4digits[11:8])
);
counter_digit #(.max_count(9)) counter3
(
    .clk(clk),
    .reset(reset),
    .enable(enable_out[2]),
    .enable_out(),
    .count(count_4digits[15:12])
);

endmodule

