module edgedetector
(
    input clk,
    input signal,
    output signal_posedge
);

reg [1:0] signal_buffer = 2'b00;
always @(posedge clk) begin
    signal_buffer <= {signal_buffer[0], signal};
end

assign signal_posedge = (signal_buffer == 2'b01);

endmodule

