module entpreller
#(
    parameter max_count = 25000 // 0.5 ms
)
(
    input      clk,
    input      taste_in,
    output reg taste_entprellt
);

reg [31:0] count = 32'd0;

always @(posedge clk) begin
    if (taste_entprellt == taste_in)
        count <= 0;
    else begin
        count <= count + 1;
        if (count == max_count)
            taste_entprellt <= ~taste_entprellt;
    end
end

endmodule

